﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />

	<xsl:template match="op:bib">
		<xsl:choose>
			<xsl:when test="op:bibM/sp:type='web'">
				<xsl:call-template name="tLogWarning">
					<xsl:with-param name="pMessage">Veuillez vérifier cette REFERENCEWEBOGRAPHIQUE (récupération potentiellement incomplète).</xsl:with-param>
				</xsl:call-template>
				<REFERENCEWEBOGRAPHIQUE labelAdress="web-{currentModel()}" URL="{normalize-space(getFullTitleText(currentModel(), 'url'))}" auteurs="{normalize-space(getFullTitleText(currentModel(), 'auth'))}" titre="{normalize-space(getFullTitleText(currentModel(), ''))}" dateConsultation="{normalize-space(getFullTitleText(currentModel(), 'date'))}">
    				<DESCRIPTION><xsl:value-of select="getContent(currentModel(), 'cdata')" disable-output-escaping="yes"/></DESCRIPTION>
    			</REFERENCEWEBOGRAPHIQUE>
			</xsl:when>
			<xsl:otherwise>
				<REFERENCEBIBLIOGRAPHIQUE labelReference="bib-{currentModel()}">
    				<xsl:value-of select="getContent(currentModel(), 'biblio')" disable-output-escaping="yes"/>
    			</REFERENCEBIBLIOGRAPHIQUE>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
		
</xsl:stylesheet>




