<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />
	
	<xsl:template match="op:field">
		<xsl:variable name="vTitle"><xsl:apply-templates select="." mode="label"/></xsl:variable>
		<EXERCICE titre="{$vTitle}">
			<QUESTION>
				<xsl:apply-templates select="sc:question"/>
				<xsl:apply-templates select="sc:globalExplanation"/>
				<xsl:apply-templates select="*[name()!='sc:question' and name()!='sc:globalExplanation']"/>
			</QUESTION>
		</EXERCICE>
	</xsl:template>
	
	<xsl:template match="sc:question">
		<ENONCE>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</ENONCE>
	</xsl:template>
	
	<xsl:template match="sp:asw">
		<SOLUTION>
			<PARAGRAPHE><xsl:value-of select="sc:SFSolution/sc:value[1]"/></PARAGRAPHE>
			<xsl:if test="count(sc:SFSolution/sc:value)&gt;1">
				<PARAGRAPHE>Synonyme(s) : <xsl:for-each select="sc:SFSolution/sc:value[position()&gt;1]"><xsl:value-of select="."/><xsl:if test="not(last())">, </xsl:if></xsl:for-each>.</PARAGRAPHE>
			</xsl:if>
		</SOLUTION>
	</xsl:template>
	
	<xsl:template match="sc:globalExplanation">
		<AIDE>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</AIDE>
	</xsl:template>
	
</xsl:stylesheet>




