<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
				xmlns:xalan="http://xml.apache.org/xalan"
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op xalan">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />

	<xsl:template match="op:genRef">
		<xsl:variable name="vGlos"><xsl:apply-templates mode="glos"/></xsl:variable>
		<xsl:if test="normalize-space($vGlos)">
			<GLOSSAIRE>
				<xsl:apply-templates mode="glos"/>
			</GLOSSAIRE>
		</xsl:if>
		
		<xsl:variable name="vBib"><xsl:apply-templates mode="bib"/></xsl:variable>
		<xsl:if test="normalize-space($vBib)">
			<BIBLIOGRAPHIE>
				<xsl:apply-templates mode="bib"/>
			</BIBLIOGRAPHIE>
		</xsl:if>
		
		<xsl:variable name="vWeb"><xsl:apply-templates mode="web"/></xsl:variable>
		<xsl:if test="normalize-space($vWeb)">
			<WEBOGRAPHIE>
				<xsl:apply-templates mode="web"/>
			</WEBOGRAPHIE>
		</xsl:if>
		<xsl:apply-templates mode="other"/>
	</xsl:template>
	
	<xsl:template match="sp:ref" mode="other">
		<xsl:variable name="vCode" select="typeAgent(concat('@', gotoSubModel()))"/>
		<xsl:if test="not(contains($vCode, 'op_bib')) and not(contains($vCode, 'op_glos'))">
			<xsl:call-template name="tLogWarning">
				<xsl:with-param name="pMessage">Seules les références générales de type &quot;glossaire&quot; et &quot;bibliographie&quot; peuvent être récupérées.</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="sp:ref" mode="glos">
		<xsl:variable name="vType" select="typeAgent(concat('@', gotoSubModel()))"/>
		<xsl:if test="contains($vType, 'op_glos')">
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="sp:ref" mode="bib">
		<xsl:variable name="vCode" select="typeAgent(concat('@', gotoSubModel()))"/>
		<xsl:variable name="vType" select="getFullTitleText(gotoSubModel(), 'biblio')"/>
		<xsl:if test="contains($vCode, 'op_bib') and $vType='bib'">
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="sp:ref" mode="web">
		<xsl:variable name="vCode" select="typeAgent(concat('@', gotoSubModel()))"/>
		<xsl:variable name="vType" select="getFullTitleText(gotoSubModel(), 'biblio')"/>
		<xsl:if test="contains($vCode, 'op_bib') and $vType='web'">
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</xsl:if>
	</xsl:template>
	
	
	
</xsl:stylesheet>




