<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />

	<xsl:template match="op:pb">
		<xsl:apply-templates/>
	</xsl:template>
		
	<xsl:template match="op:pb/*">
		<xsl:variable name="vTagName">
			<xsl:choose>
				<xsl:when test="name()='sp:def'">DEFINITION</xsl:when>
				<xsl:when test="name()='sp:ex'">EXEMPLE</xsl:when>
				<xsl:when test="name()='sp:rem'">REMARQUE</xsl:when>
				<xsl:when test="name()='sp:adv'">CONSEIL</xsl:when>
				<xsl:when test="name()='sp:warning'">ATTENTION</xsl:when>
				<xsl:when test="name()='sp:comp'">COMPLEMENT</xsl:when>
				<xsl:when test="name()='sp:meth'">METHODE</xsl:when>
				<xsl:when test="name()='sp:remind'">RAPPEL</xsl:when>
				<xsl:when test="name()='sp:syntax'">SYNTAXE</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="vTagTitle"><!-- BP sans correspondance -->
			<xsl:choose>
				<xsl:when test="name()='sp:legal'">TEXTE LEGAL</xsl:when>
				<xsl:when test="name()='sp:basic'">FONDAMENTAL</xsl:when>
				<xsl:when test="name()='sp:simul'">SIMULATION</xsl:when>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="string-length(normalize-space($vTagName))&gt;0">
				<xsl:element name="{$vTagName}">
					<xsl:apply-templates select="op:pbTi"/>
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
				</xsl:element>
			</xsl:when>
			<xsl:otherwise><!-- pas de pb -->
				<xsl:apply-templates select="op:pbTi">
					<xsl:with-param name="pPrefix" select="$vTagTitle"/>
				</xsl:apply-templates>
				<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!-- Pas de titre dans les BP d'UVED => transformés en paragraphe -->
	<xsl:template match="op:pbTi[sp:title]">
		<xsl:param name="pPrefix"/>
		<PARAGRAPHE><B><xsl:if test="string-length($pPrefix)&gt;0"><xsl:value-of select="$pPrefix"/> : </xsl:if><xsl:value-of select="sp:title"/></B></PARAGRAPHE>
	</xsl:template>
	<xsl:template match="op:pbTi"/>
	
</xsl:stylesheet>



