<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />

	<xsl:template match="op:txtRes">
		<xsl:value-of select="execute(setDialogVar('res.position', 'page'))"/><!-- image à gauche et texte à droite -->
		<xsl:apply-templates select="sp:res"/>
		<xsl:apply-templates select="sp:txt"/>
		<xsl:if test="op:txtResM/sp:pos='rgt'">
			<xsl:call-template name="tLogWarning">
				<xsl:with-param name="pMessage">UVED ne propose pas de mise en forme de type &quot;texte à gauche / image à droite&quot;. La structure a donc été simplifiée.</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="execute(removeDialogVar('res.position'))"/>
	</xsl:template>
	<xsl:template match="op:res | op:altRes">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="sp:txt | sp:txtRes | sp:img | sp:graph | sp:vid | sp:zoom | sp:form | sp:listing | sp:bkquote | sp:res">
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>
	
	<xsl:template match="sp:int">
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Elément transformé dans UVED : la ressource est intégrée directement dans le contenu.</xsl:with-param>
		</xsl:call-template>
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>
	
	<xsl:template match="sp:tab">
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>
	

	<!-- Eléments non récupérés :
			
	 -->
	
</xsl:stylesheet>




